Skip to main content

Topic: Segmentation faults on Gentoo (Read 1907 times)

  • Rinaldus
  • [*]
Segmentation faults on Gentoo
I tried to install Otter from Git using Qt 5.3.1 from Qt overlay. Compillation was successfully, but when I try to start otter, it doesn't start. Here's output from /var/log/messages:
Code: [Select]
Jul 27 22:01:34 Home kernel: [27634.612399] otter-browser[15759]: segfault at 7fd100000090 ip 00007fd1a7481b58 sp 00007fffaa0976d0 error 4 in libQt5Widgets.so.5.3.1[7fd1a7300000+5dc000]

I also tried to compile latest weekly build (weekly29) and latest release (0.9.1) but with the same result.
Can anybody help me?

  • Emdek
  • [*][*][*][*][*]
  • Moderator
Re: Segmentation faults on Gentoo
Reply #1
@Rinaldus, would it be possible to run it in debug  mode using QtCreator?
That way it should generate more useful backtrace which may allow to determine crash reason.
Nadszedł już czas, najwyższy czas, nienawiść zniszczyć w sobie.
The time has come, the high time, to destroy hatred in oneself.

  • Rinaldus
  • [*]
Re: Segmentation faults on Gentoo
Reply #2

@Rinaldus, would it be possible to run it in debug  mode using QtCreator?
That way it should generate more useful backtrace which may allow to determine crash reason.

Can you explain me, how to do it? I never ran programs in this mode.

  • Emdek
  • [*][*][*][*][*]
  • Moderator
Re: Segmentation faults on Gentoo
Reply #3
Nadszedł już czas, najwyższy czas, nienawiść zniszczyć w sobie.
The time has come, the high time, to destroy hatred in oneself.

  • Rinaldus
  • [*]
Re: Segmentation faults on Gentoo
Reply #4
This bug was from wrong ebuild of qtwebkit-5.3.1. Qt 5 packages are under development in Gentoo and still situated in external overlay. Today update rebuilt my qtwebkit and after it, browser launched. But when I try to load any site (for example, youtube.com), it crashes with other segfault error:
Code: [Select]
Jul 29 20:17:20 Home kernel: [ 8294.148637] otter-browser[4412]: segfault at 7f843d14aaa0 ip 00007f8399e90518 sp 00007fff5e0ce3a8 error 7 in libQtXmlPatterns.so.4.8.5[7f8399da0000+411000]

I don't know why it selected qtxmlpatterns-4.8.5, not 5.3.1, maybe it's reason of this error.
P.S. Sorry, but I can't debug Otter in Qt Creator, because there's no version of Qt Creator with Qt 5 support in Gentoo yet, only with 4.8.5. :(
  • Last Edit: 2014-07-29, 16:30:37 by Rinaldus

  • Emdek
  • [*][*][*][*][*]
  • Moderator
Re: Segmentation faults on Gentoo
Reply #5
@Rinaldus, that would explain why it crashes, I guess that the only thing left is to wait until Gentoo will stabilize Qt5 packages, it's about time, as KDE5 was already released...
Nadszedł już czas, najwyższy czas, nienawiść zniszczyć w sobie.
The time has come, the high time, to destroy hatred in oneself.